Bug 274992 - Amarok crashes if you add a file to playlist before you played a song from playlist [@ Dynamic::BiasSolver::simpleOptimize]
Summary: Amarok crashes if you add a file to playlist before you played a song from pl...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Playlists/Dynamic Playlists (show other bugs)
Version: 2.4-GIT
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: 2.4.2
Assignee: Amarok Developers
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2011-06-05 19:02 UTC by Johannes Obermayr
Modified: 2011-07-04 19:16 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.2


Attachments
New crash information added by DrKonqi (25.96 KB, text/plain)
2011-07-01 22:10 UTC, Johannes Obermayr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Obermayr 2011-06-05 19:02:51 UTC
Application: amarok (2.4-GIT)
KDE Platform Version: 4.6.80 (4.7 Beta1) "release 6"
Qt Version: 4.7.3
Operating System: Linux 2.6.37.6-0.5-desktop x86_64
Distribution (Platform): openSUSE RPMs

-- Information about the crash:
(current git)

Crash:
1. Start Amarok
2. Go to Media Sources -> Files
3. Right click on *.mp3 -> Add to Playlist
4. Amarok crashes ...

Working:
1. Start Amarok
2. Play a *.mp3 from Playlist
3. Right click on *.mp3 -> Add to Playlist
4. You can play it now ...

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Floating point exception
[Current thread is 1 (Thread 0x7f77b9b53760 (LWP 16493))]

Thread 26 (Thread 0x7f779b05d700 (LWP 16495)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007f77a139a981 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f77b4405a3f in start_thread (arg=0x7f779b05d700) at pthread_create.c:297
#3  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 25 (Thread 0x7f779a85c700 (LWP 16496)):
#0  0x00007f77b626b503 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f77afbfc114 in g_main_context_poll (context=0x8f0b90, block=1, dispatch=1, self=<value optimized out>) at gmain.c:3404
#2  g_main_context_iterate (context=0x8f0b90, block=1, dispatch=1, self=<value optimized out>) at gmain.c:3086
#3  0x00007f77afbfc650 in g_main_context_iteration (context=0x8f0b90, may_block=1) at gmain.c:3154
#4  0x00007f77b785a286 in QEventDispatcherGlib::processEvents (this=0x9aec30, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f77b782e8d2 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f77b782eae5 in QEventLoop::exec (this=0x7f779a85bdd0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f77b77437a4 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#8  0x00007f77a15f8694 in Phonon::Xine::XineThread::run (this=0x8f19e0) at /usr/src/debug/phonon-backend-xine-4.4.4/xine/xinethread.cpp:143
#9  0x00007f77b7746095 in QThreadPrivate::start (arg=0x8f19e0) at thread/qthread_unix.cpp:320
#10 0x00007f77b4405a3f in start_thread (arg=0x7f779a85c700) at pthread_create.c:297
#11 0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 24 (Thread 0x7f7799e51700 (LWP 16499)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f77a13acbab in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f77b4405a3f in start_thread (arg=0x7f7799e51700) at pthread_create.c:297
#3  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 23 (Thread 0x7f779960e700 (LWP 16500)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f77a13acbab in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f77b4405a3f in start_thread (arg=0x7f779960e700) at pthread_create.c:297
#3  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 22 (Thread 0x7f7798792700 (LWP 16501)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f77a13acbab in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f77b4405a3f in start_thread (arg=0x7f7798792700) at pthread_create.c:297
#3  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 21 (Thread 0x7f7793b7d700 (LWP 16503)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f77949e76b9 in os_event_wait_low (event=0x13c96b0, reset_sig_count=<value optimized out>) at ../../../storage/innobase/os/os0sync.c:422
#2  0x00007f77949e6376 in os_aio_simulated_handle (global_segment=<value optimized out>, message1=0x7f7793b7ce48, message2=0x7f7793b7ce40, type=0x7f7793b7ce38) at ../../../storage/innobase/os/os0file.c:4270
#3  0x00007f77949a5eea in fil_aio_wait (segment=0) at ../../../storage/innobase/fil/fil0fil.c:4296
#4  0x00007f7794a21120 in io_handler_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0start.c:421
#5  0x00007f77b4405a3f in start_thread (arg=0x7f7793b7d700) at pthread_create.c:297
#6  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7f77916fe700 (LWP 16504)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f77949e76b9 in os_event_wait_low (event=0x13c9760, reset_sig_count=<value optimized out>) at ../../../storage/innobase/os/os0sync.c:422
#2  0x00007f77949e6376 in os_aio_simulated_handle (global_segment=<value optimized out>, message1=0x7f77916fde48, message2=0x7f77916fde40, type=0x7f77916fde38) at ../../../storage/innobase/os/os0file.c:4270
#3  0x00007f77949a5eea in fil_aio_wait (segment=1) at ../../../storage/innobase/fil/fil0fil.c:4296
#4  0x00007f7794a21120 in io_handler_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0start.c:421
#5  0x00007f77b4405a3f in start_thread (arg=0x7f77916fe700) at pthread_create.c:297
#6  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7f7790efd700 (LWP 16505)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f77949e76b9 in os_event_wait_low (event=0x13c9810, reset_sig_count=<value optimized out>) at ../../../storage/innobase/os/os0sync.c:422
#2  0x00007f77949e6376 in os_aio_simulated_handle (global_segment=<value optimized out>, message1=0x7f7790efce48, message2=0x7f7790efce40, type=0x7f7790efce38) at ../../../storage/innobase/os/os0file.c:4270
#3  0x00007f77949a5eea in fil_aio_wait (segment=2) at ../../../storage/innobase/fil/fil0fil.c:4296
#4  0x00007f7794a21120 in io_handler_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0start.c:421
#5  0x00007f77b4405a3f in start_thread (arg=0x7f7790efd700) at pthread_create.c:297
#6  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f77906fc700 (LWP 16506)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f77949e76b9 in os_event_wait_low (event=0x13c98c0, reset_sig_count=<value optimized out>) at ../../../storage/innobase/os/os0sync.c:422
#2  0x00007f77949e6376 in os_aio_simulated_handle (global_segment=<value optimized out>, message1=0x7f77906fbe48, message2=0x7f77906fbe40, type=0x7f77906fbe38) at ../../../storage/innobase/os/os0file.c:4270
#3  0x00007f77949a5eea in fil_aio_wait (segment=3) at ../../../storage/innobase/fil/fil0fil.c:4296
#4  0x00007f7794a21120 in io_handler_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0start.c:421
#5  0x00007f77b4405a3f in start_thread (arg=0x7f77906fc700) at pthread_create.c:297
#6  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f778f2d1700 (LWP 16508)):
#0  0x00007f77b626dc73 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f77949e7ebb in os_thread_sleep (tm=<value optimized out>) at ../../../storage/innobase/os/os0thread.c:281
#2  0x00007f7794a1fd9a in srv_lock_timeout_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0srv.c:2092
#3  0x00007f77b4405a3f in start_thread (arg=0x7f778f2d1700) at pthread_create.c:297
#4  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f778ead0700 (LWP 16509)):
#0  0x00007f77b626dc73 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f77949e7ebb in os_thread_sleep (tm=<value optimized out>) at ../../../storage/innobase/os/os0thread.c:281
#2  0x00007f7794a200d5 in srv_error_monitor_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0srv.c:2247
#3  0x00007f77b4405a3f in start_thread (arg=0x7f778ead0700) at pthread_create.c:297
#4  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f778e2cf700 (LWP 16510)):
#0  0x00007f77b626dc73 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f77949e7ebb in os_thread_sleep (tm=<value optimized out>) at ../../../storage/innobase/os/os0thread.c:281
#2  0x00007f7794a1fa02 in srv_monitor_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0srv.c:1950
#3  0x00007f77b4405a3f in start_thread (arg=0x7f778e2cf700) at pthread_create.c:297
#4  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f778dace700 (LWP 16511)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f77949e76b9 in os_event_wait_low (event=0xde5290, reset_sig_count=<value optimized out>) at ../../../storage/innobase/os/os0sync.c:422
#2  0x00007f7794a20712 in srv_master_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0srv.c:2736
#3  0x00007f77b4405a3f in start_thread (arg=0x7f778dace700) at pthread_create.c:297
#4  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f778d2cd700 (LWP 16512)):
#0  __poll (fds=0xe86380, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:82
#1  0x00007f77afbfc114 in g_main_context_poll (context=0x144d630, block=1, dispatch=1, self=<value optimized out>) at gmain.c:3404
#2  g_main_context_iterate (context=0x144d630, block=1, dispatch=1, self=<value optimized out>) at gmain.c:3086
#3  0x00007f77afbfc650 in g_main_context_iteration (context=0x144d630, may_block=1) at gmain.c:3154
#4  0x00007f77b785a286 in QEventDispatcherGlib::processEvents (this=0xe3e380, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f77b782e8d2 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f77b782eae5 in QEventLoop::exec (this=0x7f778d2ccde0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f77b77437a4 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#8  0x00007f77b7810008 in QInotifyFileSystemWatcherEngine::run (this=0xde19b0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f77b7746095 in QThreadPrivate::start (arg=0xde19b0) at thread/qthread_unix.cpp:320
#10 0x00007f77b4405a3f in start_thread (arg=0x7f778d2cd700) at pthread_create.c:297
#11 0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f7787de8700 (LWP 16513)):
[KCrash Handler]
#6  0x00007f77b8831805 in Dynamic::BiasSolver::simpleOptimize (this=0x218b400, list=0x7f7787de7a10) at /usr/src/debug/amarok-2.4.1.60git.1307137429/src/dynamic/BiasSolver.cpp:229
#7  0x00007f77b8834f0d in Dynamic::BiasSolver::run (this=0x218b400) at /usr/src/debug/amarok-2.4.1.60git.1307137429/src/dynamic/BiasSolver.cpp:206
#8  0x00007f77b3808ae1 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f7787de7da0, th=0x1b41160, job=0x218b400) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/Job.cpp:106
#9  0x00007f77b3808c1e in ThreadWeaver::Job::execute (this=0x218b400, th=0x1b41160) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/Job.cpp:135
#10 0x00007f77b38083ef in ThreadWeaver::ThreadRunHelper::run (this=0x7f7787de7e30, parent=0x1b3a530, th=0x1b41160) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/Thread.cpp:95
#11 0x00007f77b38084a8 in ThreadWeaver::Thread::run (this=0x1b41160) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/Thread.cpp:142
#12 0x00007f77b7746095 in QThreadPrivate::start (arg=0x1b41160) at thread/qthread_unix.cpp:320
#13 0x00007f77b4405a3f in start_thread (arg=0x7f7787de8700) at pthread_create.c:297
#14 0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f77873dc700 (LWP 16514)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f77b774677b in wait (this=<value optimized out>, mutex=0x1b24760, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1b24760, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f77b3806f44 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1b3a530, th=0x1b48db0) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f77b3809643 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1b3a970, th=0x1b48db0) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f77b380965c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1b3a970, th=0x1b48db0) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f77b380965c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1b3a970, th=0x1b48db0) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f77b380841f in ThreadWeaver::ThreadRunHelper::run (this=0x7f77873dbe30, parent=0x1b3a530, th=0x1b48db0) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/Thread.cpp:87
#8  0x00007f77b38084a8 in ThreadWeaver::Thread::run (this=0x1b48db0) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/Thread.cpp:142
#9  0x00007f77b7746095 in QThreadPrivate::start (arg=0x1b48db0) at thread/qthread_unix.cpp:320
#10 0x00007f77b4405a3f in start_thread (arg=0x7f77873dc700) at pthread_create.c:297
#11 0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f7786bdb700 (LWP 16515)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f77b774677b in wait (this=<value optimized out>, mutex=0x1b24760, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1b24760, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f77b3806f44 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1b3a530, th=0x1b482f0) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f77b3809643 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1b3a970, th=0x1b482f0) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f77b380965c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1b3a970, th=0x1b482f0) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f77b380965c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1b3a970, th=0x1b482f0) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f77b380841f in ThreadWeaver::ThreadRunHelper::run (this=0x7f7786bdae30, parent=0x1b3a530, th=0x1b482f0) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/Thread.cpp:87
#8  0x00007f77b38084a8 in ThreadWeaver::Thread::run (this=0x1b482f0) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/Thread.cpp:142
#9  0x00007f77b7746095 in QThreadPrivate::start (arg=0x1b482f0) at thread/qthread_unix.cpp:320
#10 0x00007f77b4405a3f in start_thread (arg=0x7f7786bdb700) at pthread_create.c:297
#11 0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f77863da700 (LWP 16516)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f77b774677b in wait (this=<value optimized out>, mutex=0x1b24760, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1b24760, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f77b3806f44 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1b3a530, th=0x1afd1b0) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f77b3809643 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1b3a970, th=0x1afd1b0) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f77b380965c in ThreadWeaver::WorkingHardState::applyForWork (this=0x1b3a970, th=0x1afd1b0) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f77b380841f in ThreadWeaver::ThreadRunHelper::run (this=0x7f77863d9e30, parent=0x1b3a530, th=0x1afd1b0) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/Thread.cpp:87
#7  0x00007f77b38084a8 in ThreadWeaver::Thread::run (this=0x1afd1b0) at /usr/src/debug/kdelibs-4.6.80/threadweaver/Weaver/Thread.cpp:142
#8  0x00007f77b7746095 in QThreadPrivate::start (arg=0x1afd1b0) at thread/qthread_unix.cpp:320
#9  0x00007f77b4405a3f in start_thread (arg=0x7f77863da700) at pthread_create.c:297
#10 0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f7785596700 (LWP 16517)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f77acdc21d4 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/libQtWebKit.so.4
#2  0x00007f77b4405a3f in start_thread (arg=0x7f7785596700) at pthread_create.c:297
#3  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f7783b67700 (LWP 16518)):
#0  0x00007f77b626dc73 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f77b780f96d in QProcessManager::run (this=0x7f77b7b62f80) at io/qprocess_unix.cpp:245
#2  0x00007f77b7746095 in QThreadPrivate::start (arg=0x7f77b7b62f80) at thread/qthread_unix.cpp:320
#3  0x00007f77b4405a3f in start_thread (arg=0x7f7783b67700) at pthread_create.c:297
#4  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f7783356700 (LWP 16520)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f77b2387004 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f77b26a0180) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f77b2387039 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f77b26ae254) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f77b4405a3f in start_thread (arg=0x7f7783356700) at pthread_create.c:297
#4  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f7779b79700 (LWP 16524)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007f77a13a886f in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f77b4405a3f in start_thread (arg=0x7f7779b79700) at pthread_create.c:297
#3  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f7778f8f700 (LWP 16525)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f77a139e7eb in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f77a13a4ad5 in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f77b4405a3f in start_thread (arg=0x7f7778f8f700) at pthread_create.c:297
#4  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f77785c1700 (LWP 16526)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f77a139e7eb in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f77a13a5c2d in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f77b4405a3f in start_thread (arg=0x7f77785c1700) at pthread_create.c:297
#4  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f7777dc0700 (LWP 16527)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f77a13af88b in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f77b4405a3f in start_thread (arg=0x7f7777dc0700) at pthread_create.c:297
#3  0x00007f77b627467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f77b9b53760 (LWP 16493)):
#0  0x00007f77b626b503 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f77b0d19c2a in _xcb_conn_wait (c=0x7a4fb0, cond=<value optimized out>, vector=0x7fff97179e28, count=0x7fff97179e24) at xcb_conn.c:313
#2  0x00007f77b0d1a1a3 in _xcb_out_send (c=0x7a4fb0, vector=0x7fff97179eb0, count=3) at xcb_out.c:338
#3  0x00007f77b0d1a234 in xcb_writev (c=0x7a4fb0, vector=<value optimized out>, count=<value optimized out>, requests=498) at xcb_out.c:286
#4  0x00007f77b8083cc6 in _XSend (dpy=0x7c0540, data=<value optimized out>, size=<value optimized out>) at xcb_io.c:428
#5  0x00007f77b80780c7 in SendZImage (dpy=0x7c0540, d=92274736, gc=0x21a8060, image=0x14dbad0, req_xoffset=0, req_yoffset=<value optimized out>, x=0, y=0, req_width=48, req_height=48, dest_bits_per_pixel=32, dest_scanline_pad=32) at PutImage.c:802
#6  PutImageRequest (dpy=0x7c0540, d=92274736, gc=0x21a8060, image=0x14dbad0, req_xoffset=0, req_yoffset=<value optimized out>, x=0, y=0, req_width=48, req_height=48, dest_bits_per_pixel=32, dest_scanline_pad=32) at PutImage.c:870
#7  PutSubImage (dpy=0x7c0540, d=92274736, gc=0x21a8060, image=0x14dbad0, req_xoffset=0, req_yoffset=<value optimized out>, x=0, y=0, req_width=48, req_height=48, dest_bits_per_pixel=32, dest_scanline_pad=32) at PutImage.c:908
#8  0x00007f77b80782ad in XPutImage (dpy=0x7c0540, d=92282201, gc=0x21a8060, image=0x14dbad0, req_xoffset=0, req_yoffset=<value optimized out>, x=0, y=0, req_width=48, req_height=48) at PutImage.c:1027
#9  0x00007f77b6ce38fb in QX11PixmapData::fromImage (this=0x21fb340, img=<value optimized out>, flags=...) at image/qpixmap_x11.cpp:612
#10 0x00007f77b6ccee9f in QPixmap::fromImage (image=..., flags=...) at image/qpixmap.cpp:2059
#11 0x00007f77b8c379ca in IconButton::updateIconBuffer (this=0x167eb00) at /usr/src/debug/amarok-2.4.1.60git.1307137429/src/widgets/IconButton.cpp:159
#12 0x00007f77b8c37d19 in IconButton::timerEvent (this=0x167eb00, te=<value optimized out>) at /usr/src/debug/amarok-2.4.1.60git.1307137429/src/widgets/IconButton.cpp:110
#13 0x00007f77b78430a9 in QObject::event (this=0x167eb00, e=<value optimized out>) at kernel/qobject.cpp:1181
#14 0x00007f77b6c4860d in QWidget::event (this=0x167eb00, event=0x7fff9717d890) at kernel/qwidget.cpp:8718
#15 0x00007f77b6bf7144 in QApplicationPrivate::notify_helper (this=0x796210, receiver=0x167eb00, e=0x7fff9717d890) at kernel/qapplication.cpp:4462
#16 0x00007f77b6bff6fa in QApplication::notify (this=<value optimized out>, receiver=0x167eb00, e=0x7fff9717d890) at kernel/qapplication.cpp:4341
#17 0x00007f77b9551386 in KApplication::notify (this=0x7fff9717dc40, receiver=0x167eb00, event=0x7fff9717d890) at /usr/src/debug/kdelibs-4.6.80/kdeui/kernel/kapplication.cpp:311
#18 0x00007f77b782f47c in QCoreApplication::notifyInternal (this=0x7fff9717dc40, receiver=0x167eb00, event=0x7fff9717d890) at kernel/qcoreapplication.cpp:731
#19 0x00007f77b785cdf8 in sendEvent (this=0x79d340) at kernel/qcoreapplication.h:215
#20 QTimerInfoList::activateTimers (this=0x79d340) at kernel/qeventdispatcher_unix.cpp:619
#21 0x00007f77b7859b54 in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:184
#22 0x00007f77afbfbbd3 in g_main_dispatch (context=0x795840) at gmain.c:2440
#23 g_main_context_dispatch (context=0x795840) at gmain.c:3013
#24 0x00007f77afbfc3b0 in g_main_context_iterate (context=0x795840, block=1, dispatch=1, self=<value optimized out>) at gmain.c:3091
#25 0x00007f77afbfc650 in g_main_context_iteration (context=0x795840, may_block=1) at gmain.c:3154
#26 0x00007f77b785a22f in QEventDispatcherGlib::processEvents (this=0x628110, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#27 0x00007f77b6c9cbae in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#28 0x00007f77b782e8d2 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#29 0x00007f77b782eae5 in QEventLoop::exec (this=0x7fff9717dba0, flags=...) at kernel/qeventloop.cpp:201
#30 0x00007f77b7832f2b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#31 0x000000000040962a in main (argc=1, argv=0x7fff97180248) at /usr/src/debug/amarok-2.4.1.60git.1307137429/src/main.cpp:289

Reported using DrKonqi
Comment 1 Johannes Obermayr 2011-07-01 22:10:06 UTC
Created attachment 61546 [details]
New crash information added by DrKonqi

amarok (2.4-GIT) on KDE Platform 4.6.90 (4.7 RC1) "release 2" using Qt 4.7.3

It also crashes if I try to start playing via double click on a song in playlist.

-- Backtrace (Reduced):
#6  0x00007fcf0458bab5 in Dynamic::BiasSolver::simpleOptimize (this=0x1ee3db0, list=0x7fcea0544a10) at /usr/src/debug/amarok-2.4.1.60git.1309276846/src/dynamic/BiasSolver.cpp:229
#7  0x00007fcf0458f1bd in Dynamic::BiasSolver::run (this=0x1ee3db0) at /usr/src/debug/amarok-2.4.1.60git.1309276846/src/dynamic/BiasSolver.cpp:206
#8  0x00007fceff564ae1 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7fcea0544da0, th=0x2002bd0, job=0x1ee3db0) at /usr/src/debug/kdelibs-4.6.90/threadweaver/Weaver/Job.cpp:106
#9  0x00007fceff564c1e in ThreadWeaver::Job::execute (this=0x1ee3db0, th=0x2002bd0) at /usr/src/debug/kdelibs-4.6.90/threadweaver/Weaver/Job.cpp:135
#10 0x00007fceff5643ef in ThreadWeaver::ThreadRunHelper::run (this=0x7fcea0544e30, parent=0x1ffa250, th=0x2002bd0) at /usr/src/debug/kdelibs-4.6.90/threadweaver/Weaver/Thread.cpp:95
Comment 2 Johannes Obermayr 2011-07-01 22:21:26 UTC
I also noticed that it only happens on my x86_64 system - on my i586 system it works properly.
Maybe valgrind output can help:
http://www.file-upload.net/download-3553129/amarok.valgrind.bz2.html
Comment 3 Ralf Engels 2011-07-04 19:02:51 UTC
Git commit 1c8822959239e0b22e05b87c628399a65286c07a by Ralf Engels.
Committed on 04/07/2011 at 17:45.
Pushed by rengels into branch 'master'.

Prevent crash if requested to create empty playlist

BUG:274992

M  +6    -0    src/dynamic/BiasSolver.cpp     

http://commits.kde.org/amarok/1c8822959239e0b22e05b87c628399a65286c07a